link: search/orgs/%22Leisure%20Suit%20Larry%22
meta: {}
query: '"Leisure Suit Larry"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22Leisure%20Suit%20Larry%22
